Subject: I18N and basic authentication

From: Julian Reschke <[email-masked]>
Date: Sun, 25 Nov 2007 19:55:31 +0100

Hi,

I recall that we discussed non-ASCII characters in basic auth 
credentials over a year ago (around 
<http://lists.w3.org/Archives/Public/ietf-http-wg/2006JulSep/0103.html>).

It seems the consensus was that as long as you're only dealing with 
ISO-8859-1, things are simply, as those are allowed in HTTP headers when 
using the TEXT BNF rule.

However, everything else would then require RFC2047-style escaping.

So do we have any evidence that this works in practice? Did anybody test 
  this yet?

BR, Julian